#
# spec file for package python-zict
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zict
Version:        1.0.0
Release:        bp156.3.1
Summary:        Mutable mapping tools
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/dask/zict/
Source:         https://files.pythonhosted.org/packages/source/z/zict/zict-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-HeapDict
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module HeapDict}
BuildRequires:  %{python_module lmdb}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Mutable Mapping interfaces for python.

%prep
%setup -q -n zict-%{version}
# needs more memory than what we have on generic hosts
rm zict/tests/test_lmdb.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * no upstream changelog
* Wed Mar 27 2019 pgajdos@suse.com
- version update to 0.1.4
  * Use collections.abc to avoid DeprecationWarning
  * DOC: Add classes missing from API documentation.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module in requires
* Tue Oct 31 2017 arun@gmx.de
- update to version 0.1.3:
  * update travis.yml to track Python 3.6
  * evict returns key, value, and weight
  * Add LRU.evict method (#18)
  * add links to readme and setup.py
* Thu Jul 13 2017 toddrme2178@gmail.com
- Initial version
